import { Vue } from "vue-property-decorator";
export interface IMenuItem {
    label: string;
    value?: any;
    isDivider?: boolean;
    submenu?: IMenuItem[];
    disabled?: boolean;
    disabledFunction?: (() => boolean);
}
export default class ContextMenu extends Vue {
    activeMenu: number;
    activeMenuResetTimeout: number | null;
    value: boolean;
    items: IMenuItem[];
    x: number;
    y: number;
    isNested: boolean;
    readonly styles: any;
    readonly _items: {
        hover: boolean;
        label: string;
        value?: any;
        isDivider?: boolean | undefined;
        submenu?: IMenuItem[] | undefined;
        disabled?: boolean | undefined;
        disabledFunction?: (() => boolean) | undefined;
    }[];
    onClick(item: IMenuItem): void;
    onChildClick(value: string): void;
    onClickOutside(event: MouseEvent): void;
    onMouseEnter(event: MouseEvent, index: number): void;
    onMouseLeave(event: MouseEvent, index: number): void;
    created(): void;
    updateDisabledValues(): void;
}
